package de.mpmediasoft.wasm

import okio.FileSystem

interface Platform {
    val name: String
}

expect fun getPlatform(): Platform

expect val SystemFileSystem: FileSystem

fun okio.Path.readString(fileSystem: FileSystem = SystemFileSystem): String = fileSystem.read(this) { return readUtf8() }
fun okio.Path.readBytes(fileSystem: FileSystem = SystemFileSystem): ByteArray = fileSystem.read(this) { return readByteArray() }
