package de.mpmediasoft.wasm.library

class LibraryKotlinImpl : Library {

    override fun calculateFibonacci(n: Int): Int {
        var a = 0
        var b = 1
        var tmp: Int
        for (i in 2..n) {
            tmp = a + b
            a = b
            b = tmp
        }
        return b
    }

    private val VOWELS = setOf('a', 'A', 'e', 'E', 'i', 'I', 'o', 'O', 'u', 'U')

    override fun countVowels(message: String): Int {
        var count = 0
        for (ch in message) {
            if (VOWELS.contains(ch)) {
                count += 1
            }
        }
        return count
    }

}